SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1196504 - Install class is installed to the wrong location, because package does not BuildRequire python2-devel
Summary: Install class is installed to the wrong location, because package does not Bu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-productimg-server
Version: 22
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthew Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F22AlphaFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-02-26 06:02 UTC by Adam Williamson
Modified: 2015-03-03 04:20 UTC (History)
3 users (show)

Fixed In Version: fedora-productimg-server-22-7.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-03 04:20:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2015-02-26 06:02:39 UTC
This also affects fedora-productimg-workstation , their implementation is identical.

The spec does this:

mkdir -p %{buildroot}%{_datadir}/lorax/product/%{python_sitearch}/pyanaconda/installclasses
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/lorax/product/%{python_sitearch}/pyanaconda/installclasses

unfortunately, it doesn't BuildRequire python2-devel, so %python_sitearch doesn't resolve. The file winds up at:

/usr/share/lorax/product/pyanaconda/installclasses/fedora-server.py

which means that after lorax creates a product.img and anaconda loads it, the file winds up in the anaconda environment at:

/pyanaconda/installclasses/fedora-server.py

ain't nothing gonna find it there.

I have 22-7 builds of both packages running which add the BuildRequire (and also use 'python2_sitearch' instead of 'python_sitearch', as we're not doing py3 anaconda for F22).

Comment 1 Fedora Update System 2015-02-26 06:08:02 UTC
fedora-productimg-server-22-7.fc22,fedora-productimg-workstation-22-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fedora-productimg-server-22-7.fc22,fedora-productimg-workstation-22-7.fc22

Comment 2 Adam Williamson 2015-02-26 07:04:51 UTC
Nominating as a freeze exception for Alpha; I don't think this would actually render any images unusable, but would mean some/most of the Flavor customizations to anaconda don't take effect.

Comment 3 Fedora Update System 2015-02-26 17:42:15 UTC
Package fedora-productimg-server-22-7.fc22, fedora-productimg-workstation-22-7.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-productimg-server-22-7.fc22 fedora-productimg-workstation-22-7.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2659/fedora-productimg-server-22-7.fc22,fedora-productimg-workstation-22-7.fc22
then log in and leave karma (feedback).

Comment 4 Petr Schindler 2015-03-02 20:17:01 UTC
Discussed at today's blocker review meeting [1].

This bug was accepted as Freeze Exception - This has been approved for FE status. Please apply the fix ASAP so it can land in the next compose to get tested.

http://meetbot.fedoraproject.org/fedora-blocker-review/2015-03-02/

Comment 5 Fedora Update System 2015-03-03 04:20:07 UTC
fedora-productimg-server-22-7.fc22, fedora-productimg-workstation-22-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.